<?php
date_default_timezone_set('America/Lima');
class cUsuario{			
	function insertar($use,$pas,$nom,$ape,$ema,$tel,$dir,$dni,$blo,$usugru_id,$usuper_id,$punven_id,$ser){
		$now =  date('Y-m-d h:i:s a');		
		$sql = "INSERT INTO tb_usuario (
		`tb_usuario_use`, 
		`tb_usuario_pas`, 
		`tb_usuario_nom`, 
		`tb_usuario_ape`, 
		`tb_usuario_ema`, 
		`tb_usuario_tel`, 
		`tb_usuario_dir`, 
		`tb_usuario_dni`, 
		`tb_usuario_reg`, 
		`tb_usuario_mod`, 
		`tb_usuario_ultvis`, 
		`tb_usuario_blo`, 
		`tb_usuariogrupo_id`, 
		`tb_usuarioperfil_id`, 
		`tb_puntoventa_id`,
		`tb_usuario_ser`
		) VALUES ( '$use', MD5('$pas'), '$nom', '$ape', '$ema', '$tel', '$dir', '$dni', '$now', '$now', '$now', '$blo', '$usugru_id', '$usuper_id', '$punven_id','$ser');";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function mostrarUnos2($id){
	$sql="SELECT * 
	FROM  `tb_usuario` u
	WHERE u.tb_usuario_xac = '1' AND u.tb_usuario_blo = 0 ";
	if($id>0)$sql.="AND u.tb_usuario_id=$id "; 
	
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;		  
	}
	
	
	function mostrarusuario_xpuntoventa($punven){
	$sql="SELECT * FROM tb_usuario u where u.tb_usuario_xac=1 and u.tb_usuario_blo = 0 ";
	if($punven>0) $sql.=" and u.tb_puntoventa_id = '$punven' ";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
	function ultimoInsert()
    {
        $sql   = "SELECT last_insert_id()";
        $oCado = new Cado();
        $rst   = $oCado->ejecute_sql($sql);
        return $rst;
    }	
	function modificar($usu_id,$nom,$ape,$ema,$tel,$dir,$dni,$blo,$usugru_id,$usuper_id,$punven_id,$ser){
		$now =  date('Y-m-d h:i:s a');		
	$sql="UPDATE tb_usuario SET 
		`tb_usuario_nom` = '$nom', 
		`tb_usuario_ape` = '$ape', 
		`tb_usuario_ema` = '$ema', 
		`tb_usuario_tel` = '$tel', 
		`tb_usuario_dir` = '$dir', 
		`tb_usuario_dni` = '$dni', 
		`tb_usuario_mod` = '$now', 
		`tb_usuario_blo` = '$blo', 
		`tb_usuariogrupo_id` = '$usugru_id', 
		`tb_usuarioperfil_id` = '$usuper_id' ,
		`tb_puntoventa_id` = '$punven_id',
		`tb_usuario_ser` = '$ser'
		WHERE tb_usuario_id = '$usu_id' ";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	function mostrarUno($usu_id){
	$sql="SELECT * 
	FROM  tb_usuario u
	INNER JOIN tb_usuariogrupo ug ON u.tb_usuariogrupo_id = ug.tb_usuariogrupo_id
	LEFT JOIN tb_usuarioperfil up ON up.tb_usuarioperfil_id=u.tb_usuarioperfil_id	
	WHERE u.tb_usuario_id ='$usu_id'";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;		  
	}	
	// para la funtcion detalle usuario en administrador validar
	function mostrarUnos($id){
	$sql="SELECT * 
	FROM  `tb_usuario` 
	WHERE tb_usuario_id =$id";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;		  
	}
	function acceso($use,$pas){
	$sql="SELECT * FROM tb_usuario WHERE tb_usuario_use='$use' AND tb_usuario_pas=MD5('$pas');";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
	function registroAcceso($id){
	$sql="SELECT * 
		FROM tb_usuario u
		INNER JOIN tb_usuariogrupo g ON u.tb_usuariogrupo_id=g.tb_usuariogrupo_id
		INNER JOIN tb_empresa e ON u.tb_empresa_id=e.tb_empresa_id
		WHERE tb_usuario_id=$id;";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	function verificaUsuario($use){
	$sql="SELECT * FROM tb_usuario WHERE tb_usuario_use='$use'";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	function verificaClave($id,$pas){
	$sql="SELECT * FROM tb_usuario WHERE tb_usuario_id='$id' AND tb_usuario_pas=MD5('$pas');";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	function verificar_restabclave($ema,$cod){
	$sql="SELECT * FROM tb_restabclave WHERE tb_restabclave_ema='$ema' AND tb_restabclave_cod='$cod';";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	function mostrar_usuario_con_email($ema){
	$sql="SELECT * 
	FROM tb_usuario 
	WHERE tb_usuario_ema='$ema';";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
	//restableciemiento de clave
	function insertar_restabclave($ema,$cod,$est,$usu_id){
	$sql = "INSERT INTO tb_restabclave (
	`tb_restabclave_ema`,
	`tb_restabclave_cod`, 
	`tb_restabclave_est`, 
	`tb_usuario_id`
	) VALUES (
	'$ema', '$cod', '$est', '$usu_id');"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	
	function modificar_restabclave($id,$est){
	$sql = "UPDATE tb_restabclave SET  
	`tb_restabclave_est` =  '$est' 
	WHERE tb_restabclave_id =$id;"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
		
	function modificarUltimaVisita($id){
		$now =  date('Y-m-d h:i:s a');		
	$sql="UPDATE tb_usuario SET
`tb_usuario_ultvis` =  '$now'
WHERE tb_usuario_id=$id;";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;		  
	}
	function modificar_campo($id, $campo, $valor)
    {
        $sql= "UPDATE tb_usuario SET
		`tb_usuario_$campo`= '$valor'
		WHERE tb_usuario_id =$id;";
        $oCado = new Cado();
        $rst   = $oCado->ejecute_sql($sql);
        return $rst;
    }
	function filtrar($usugru_id,$mos){
		$sql="SELECT * FROM tb_usuario u
		INNER JOIN tb_usuariogrupo ug ON u.tb_usuariogrupo_id=ug.tb_usuariogrupo_id
		LEFT JOIN tb_usuarioperfil up ON u.tb_usuarioperfil_id=up.tb_usuarioperfil_id
		left join tb_puntoventa pv on pv.tb_puntoventa_id = u.tb_puntoventa_id
		WHERE tb_usuario_xac=1  ";
		if($usugru_id>0)$sql.="	AND u.tb_usuariogrupo_id=$usugru_id "; 
		$sql.="	ORDER BY tb_usuariogrupo_nom, tb_usuario_ape, tb_usuario_nom ";
	
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;		  
	}
	
	function mostrarusuario_vendedor($punven){
	$sql="SELECT * FROM tb_usuario u where u.tb_usuario_blo = 0 and u.tb_usuarioperfil_id = 4 ";
	if($punven>0) $sql.=" and u.tb_puntoventa_id = '$punven' ";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
	function ver_punven($usu_id){
		 $sql= "SELECT * 
	FROM tb_usuariopv 
	WHERE tb_usuario_id ='$usu_id' and tb_usuariopv_def = 1 ";
        $oCado = new Cado();
        $rst   = $oCado->ejecute_sql($sql);
        return $rst;
	}
	
	
	function modificar_punven($punven_id,$pis_id,$usu_id,$idusu_punven)
    {
        $sql= "UPDATE tb_usuariopv SET
		`tb_puntoventa_id`= '$punven_id',
		`tb_piso_id`= '$pis_id'
		WHERE tb_usuariopv_id ='$idusu_punven' ";
        $oCado = new Cado();
        $rst   = $oCado->ejecute_sql($sql);
        return $rst;
    }
	
	
	function asignar_punven($punven_id,$pis_id,$usu_id)
    {
        $sql= "INSERT INTO tb_usuariopv (
	`tb_usuario_id`,
	`tb_puntoventa_id`, 
	`tb_piso_id`, 
	`tb_usuariopv_def`
	) VALUES ( '$usu_id', '$punven_id','$pis_id', '1') ";
        $oCado = new Cado();
        $rst   = $oCado->ejecute_sql($sql);
        return $rst;
    }
	
	
	
	
}
?>